const Parse = getApp().Parse
const company = getApp().globalData.company
const dateF = require('../../../../utils/date')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: null
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({
            activeColor:getApp().globalData.activeColor || '#229293'
        })
    },
    async foodorder() {
        let uid = Parse.User.current().id
        let Foodorder = new Parse.Query("FoodOrder")
        Foodorder.equalTo("company", company)
        Foodorder.equalTo("user", uid)
        Foodorder.include("store")
        Foodorder.include("table")
        let foodorder = await Foodorder.find()
        let listJSON = []
        foodorder.forEach(f => {
            let a = f.toJSON()
            a.time = dateF.formatTime("YYYY-mm-dd HH:MM:SS", a.createdAt)
            listJSON.push(a)
        })
        this.setData({
            list: listJSON
        })
        console.log(this.data.list);

    },
    details(e) {
        let id = e.currentTarget.dataset.item.objectId
        wx.navigateTo({
            url: "/nova-tourism/pages/my/eat/details/index?id=" + id
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.foodorder()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})